package example.controllers;

import example.DesModel;
import example.SSO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

import java.net.URLEncoder;

@Controller
public class HomeController {
    @Autowired
    SSO sso;

    @GetMapping(path = { "/index", "/" })
    public String index(Model model) throws Exception
    {
        String oaid = "10123208";
        DesModel token = sso.encrypt(oaid);

        model.addAttribute("mainSrc", "http://localhost:5003/app/main/index.html#!/sso?loginToken="
                + URLEncoder.encode(token.getToken(), "utf-8")
                + "&tm=" + URLEncoder.encode(token.getTm(), "utf-8")
                + "&re=" + URLEncoder.encode("homeTabs", "utf-8"));

        return "index";
    }
}
